%global momorel 2

Summary: A program to extract InstallShield cabinet files
Name: unshield
Version: 0.5
Release: %{momorel}m%{?dist}
Group:   Applications/Archiving
License: MIT/X
URL:     http://synce.sourceforge.net/synce/unshield.php
%NoSource 0 http://dl.sourceforge.net/sourceforge/synce/%{name}-%{version}.tar.gz ff6bb0fbe962bc00e230592c910b90ce
Requires: zlib
BuildRequires: zlib-devel 
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Cabinet (.CAB) files are a form of archive, which is used by the InstallShield installer software. The unshield program simply unpacks such files.

There are two types of .CAB files: InstallShield cabinet files and Microsoft cabinet files. Unshield only supports the InstallShield cabinets, usually named data1.cab, data1.hdr, data2.cab, etc.

Microsoft cabinet files can be extracted with Stuart Caie's excellent cabextract tool.

%package devel
Summary:  A library to extract InstallShield cabinet files
Group:    Development/Libraries
Requires: %{name} = %{version}
Requires: zlib-devel

%description devel
Cabinet (.CAB) files are a form of archive, which is used by
the InstallShield installer software. The unshield program
simply unpacks such files.


%prep
#'
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x' install

find %{buildroot} -name "*.la" -delete

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README TODO
%{_bindir}/unshield
%{_libdir}/libunshield.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libunshield.h
%{_libdir}/libunshield.so
%{_libdir}/libunshield.a
%{_datadir}/aclocal/unshield.m4

%changelog
* Tue Feb 13 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5-2m)
- delete libtool library

* Wed Apr 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5-1m)
- import to Momonga
